#2490 closed defect (wontfix)

RSB: Use SHA512 instead of MD5

Reported by: Sebastian Huber Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Since MD5 is not a secure hash algorithm, we should change all hashes used by the RSB configuration files to use SHA512.

Change History (6)

comment:1 Changed on Dec 11, 2015 at 10:42:07 AM by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

comment:2 Changed on Jan 26, 2017 at 7:05:05 AM by Sebastian Huber

Milestone: 4.114.11.2

comment:3 Changed on Mar 21, 2017 at 3:24:28 AM by Chris Johns

Milestone: 4.11.24.12
Version: 4.114.12

Moving this to master.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:6 Changed on Apr 10, 2018 at 8:08:31 AM by Chris Johns

Resolution: wontfix
Status: acceptedclosed

There is 98 md5 labels in the config files. I will not fix this so I am closing it with won't fix. Please open again if this is important and then assign to someone who agrees to update the hashes to sha512.

Note: See TracTickets for help on using tickets.